/*
***********************************************************************
China Mine version 1.1
Copyright (C) 1998, 1999, 2000  Ma Guokai, from People's Republic of China

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

If what you get is only part of the program, send an email to akey@fudan.edu
give the name of the program and the version number (newest by default), I'll
send you a copy of the full package.
*****************************************************************************
*/

import java.awt.*;
import java.awt.event.*;

class ShowString extends Frame implements WindowListener, KeyListener
{
	public boolean exists=false;

	public ShowString(String title, String content)
	{
		super(title);
		exists=true;
		setLocation(200,100);
		setIconImage(Constant.styles[Config.style].icon);
		TextArea textArea=new TextArea(content, 25, 50, TextArea.SCROLLBARS_VERTICAL_ONLY);
		textArea.setEditable(false);
		add(textArea);
		pack();
		requestFocus();
		addKeyListener(this);
		addWindowListener(this);
		textArea.addKeyListener(this);
		show();
	}

// Handle window event
	public void windowActivated(WindowEvent e)
	{}
	public void windowClosed(WindowEvent e)
	{}
	public void windowClosing(WindowEvent e)
	{
		setVisible(false);
		dispose();
		exists=false;
	}
	public void windowDeactivated(WindowEvent e)
	{}
	public void windowDeiconified(WindowEvent e)
	{}
	public void windowIconified(WindowEvent e)
	{}
	public void windowOpened(WindowEvent e)
	{}
// End

// Handle key event
	public void keyPressed(KeyEvent key)
	{
		if(key.getKeyCode()==KeyEvent.VK_ESCAPE)//ESC
		{
			setVisible(false);
			dispose();
			exists=false;
		}
	}
	public void keyReleased(KeyEvent key)
	{}
	public void keyTyped(KeyEvent key)
	{}
//End
}