import java.awt.*;
import java.awt.event.*;

public class ErrorDialog extends Dialog implements WindowListener, ActionListener
{
	Button ok;
	public ErrorDialog(String arg)
	{
		super(Constant.onlyFrame, "Error!", false);
		TextArea lbl=new TextArea(arg, 5, 25, TextArea.SCROLLBARS_VERTICAL_ONLY);
		lbl.setEditable(false);
		add("Center", lbl);
		ok=new Button("Ok");
		add("South", ok);
		ok.addActionListener(this);
		addWindowListener(this);
		pack();
		setLocation(200, 200);
		show();
	}

	public void actionPerformed(ActionEvent e)
	{
		Object s=e.getSource();
		if(s==ok)
			setVisible(false);
	}

// Handle window event
	public void windowActivated(WindowEvent e)
	{}
	public void windowClosed(WindowEvent e)
	{}
	public void windowClosing(WindowEvent e)
	{
		setVisible(false);
	}
	public void windowDeactivated(WindowEvent e)
	{}
	public void windowDeiconified(WindowEvent e)
	{}
	public void windowIconified(WindowEvent e)
	{}
	public void windowOpened(WindowEvent e)
	{}
// End
}